Subject: bug#47835: Wishlist: New footer line immediately above the mode line

From: Stefan Kangas <[email-masked]>
Date: Sat, 17 Apr 2021 00:36:14 -0500

Severity: wishlist

It would be useful to have a footer line that would work like the header
line but was at the bottom instead, immediately above the mode line.

It could be used to display information associated with a buffer without
having to overwrite the mode line.  The mode line contains useful
information that one might not want to hide.

One use-case for this would be `list-packages', where the header line is
already used for tabulation, but one might want to display extra
information such as the number of installed packages.  There exists
third-party packages that adds such information to the mode line, but
that risks hiding other information (depending on your customization,
window width, etc.).

I would propose to introduce a new variable `footer-line-format' in
analogy with `header-line-format' for this.